org.apache.tomcat.util.buf

## Interface CharChunk.CharInputChannel

- All Known Implementing Classes:
    InputBuffer
  Enclosing class:
    CharChunk

      public static interface CharChunk.CharInputChannel

  Input interface, used when the buffer is empty.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `realReadChars(char[] cbuf, int off, int len)` Read new characters.

- - ### Method Detail

    - #### realReadChars

          int realReadChars(char[] cbuf,
                          int off,
                          int len)
                            throws java.io.IOException

      Read new characters.
      Parameters:
        `cbuf` - Buffer to read the characters into
        `off` - Offset for target buffer
        `len` - length of data to read
      Returns:
        The number of characters read
      Throws:
        `java.io.IOException` - If an I/O error occurs during reading

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.